GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Namespace List
- Namespace Members

Enumerations | Functions
gdcm::terminal Namespace Reference

Class for Terminal Allow one to print in color in a shell. More...

## Enumerations

enum | Attribute { reset = 0, bright = 1, dim = 2, underline = 3, blink = 5, reverse = 7, hidden = 8 }
enum | Color { black = 0, red, green, yellow, blue, magenta, cyan, white }
enum | Mode { CONSOLE = 0, VT100 }

## Functions

GDCM_EXPORT std::string | setattribute (Attribute att)
GDCM_EXPORT std::string | setbgcolor (Color c)
GDCM_EXPORT std::string | setfgcolor (Color c)
GDCM_EXPORT void | setmode (Mode m)

## Detailed Description

Class for Terminal Allow one to print in color in a shell.

- support VT100 compatible shell
- win32 console

## Enumeration Type Documentation

enum gdcm::terminal::Attribute

Enumerator:

  reset |
  bright |
  dim |
  underline |
  blink |
  reverse |
  hidden |

enum gdcm::terminal::Color

Enumerator:

  black |
  red |
  green |
  yellow |
  blue |
  magenta |
  cyan |
  white |

enum gdcm::terminal::Mode

Enumerator:

  CONSOLE |
  VT100 |

## Function Documentation

GDCM_EXPORT std::string gdcm::terminal::setattribute | ( | Attribute | att | ) |

GDCM_EXPORT std::string gdcm::terminal::setbgcolor | ( | Color | c | ) |

GDCM_EXPORT std::string gdcm::terminal::setfgcolor | ( | Color | c | ) |

GDCM_EXPORT void gdcm::terminal::setmode | ( | Mode | m | ) |